/* Style de base */

body {
    margin: 0;
    padding-left: 20%;
    padding-right: 20%;
}

h1 {
    text-align: center;
    margin-top: 100px;
}

/* Système de notation par étoiles */

.rating {
    text-align: center;
    margin-bottom: 20px;
}

.rating input {
    display: none;
}



.rating label {
    font-size: 30px;
    color: #ccc;
    cursor: pointer;
}

.rating label:hover,
.rating label:hover~label,
.rating input:checked~label {
    color: #ffcc00;
}

/* Formulaire pour ajouter des commentaires */

form {
    margin-bottom: 20px;
}

form h2 {
    margin-bottom: 10px;
}

form input,
form textarea,
form button {
    display: block;
    width: 100%;
    margin-bottom: 10px;
    padding: 5px;
    font-size: 16px;
}

/* Section pour afficher les commentaires */

#comments {
    margin-bottom: 20px;
}

#comments h2 {
    margin-bottom: 10px;
}

#commentList {
    list-style-type: none;
    padding: 0;
}

/* Cartes avec images et texte */

.card {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 20px;
}

.card img {
    width: 300px;
    height: 200px;
    object-fit: cover;
    margin-bottom: 10px;
}

.card h3 {
    margin-bottom: 5px;
}

.card p {
    text-align: center;
}

/* Style des commentaires */

.commentaire {
    background-color: #e4e4e4;
    margin-top: 20px;
    padding: 10px;
    border-radius: 10px;
}